Package org.xnio

# Class FailedIoFuture<T>

java.lang.Object
org.xnio.AbstractIoFuture<T>
org.xnio.FailedIoFuture<T>

Type Parameters:
  `T` - the type of result that this operation produces

All Implemented Interfaces:
  `Cancellable`, `IoFuture<T>`

public class FailedIoFuture<T> extends AbstractIoFuture<T>
An implementation of `IoFuture` that represents an immediately-failed operation.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.xnio.IoFuture

`IoFuture.HandlingNotifier<T,A>, IoFuture.Notifier<T,A>, IoFuture.Status`

## Constructor Summary

Constructors
Constructor
Description
`FailedIoFuture(IOException e)`
Create an instance.

## Method Summary

Modifier and Type
Method
Description
`IoFuture<T>`
`cancel()`
Cancel the operation.

### Methods inherited from class org.xnio.AbstractIoFuture

`addCancelHandler, addNotifier, await, await, awaitInterruptibly, awaitInterruptibly, get, getException, getInterruptibly, getNotifierExecutor, getStatus, runNotifier, setCancelled, setException, setResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FailedIoFuture

public FailedIoFuture(IOException e)
Create an instance.

Parameters:
  `e` - the failure cause

## Method Details

### cancel

public IoFuture<T> cancel()
Cancel the operation. Since this operation is always complete, this is a no-op.

Specified by:
  `cancel` in interface `Cancellable`
Specified by:
  `cancel` in interface `IoFuture<T>`
Overrides:
  `cancel` in class `AbstractIoFuture<T>`
Returns:
  this instance